 # -*- coding: utf-8 -*-
from django.db import models

class News(models.Model):
	news_title = models.CharField(maxlength=255, verbose_name='Tytuł')
	news_text = models.TextField(verbose_name='Treść')
	news_date = models.DateTimeField(auto_now_add = True, blank=True, verbose_name='Data dodania')
	class Meta:
		verbose_name = "Wiadomość"
		verbose_name_plural = "Wiadomości"
	class Admin:
		list_display = ('news_title', 'news_date')
		list_filter = ['news_date']
		search_fields = ['news_title', 'news_text']
		date_hierarchy = 'news_date'
	def __str__(self):
		return self.news_title

class NewsComments(models.Model):
	news = models.ForeignKey(News)
	text = models.TextField(verbose_name='Treść')
	author = models.CharField(maxlength=255, verbose_name='Autor', blank=True)